#!/usr/bin/env python3

import sys
sys.path.append('/opt/AnnServerBin/lib')

from vosk import Model, KaldiRecognizer, SetLogLevel
import os
import wave
import datetime
import json

def DLOG(s):
   print (str(datetime.datetime.now()) + " " + s)
   return

DLOG("START")

wf = wave.open(sys.argv[1], "rb")
model = Model("../model")
rec = KaldiRecognizer(model, wf.getframerate())

DLOG("RECOGNIZE ...")
frames = 0
while True:
    data = wf.readframes(4000)
    if len(data) == 0:
        break
    rec.AcceptWaveform(data)
    frames += 4000
    if frames > 300000:
        break

jRes = json.loads(rec.FinalResult())
print ("VOSKRES " + jRes['text'])
